Bug 327896 - Option to scale palette color thumbnails
Summary: Option to scale palette color thumbnails
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Dockers (show other bugs)
Version: 2.8 Pre-Alpha
Platform: unspecified Other
: NOR wishlist
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-21 13:33 UTC by Odysseas
Modified: 2014-05-30 15:52 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Odysseas 2013-11-21 13:33:58 UTC
Palette is a very useful feature in Krita. I would like to see the option to scale the color thumbnails, which at the moment I find to be very small. 

An option to configure their size by entering a value in px would be very useful!

Reproducible: Always
Comment 1 Halla Rempt 2013-12-10 13:40:44 UTC
Yes, that would be useful. In general the color palette code needs love.
Comment 2 Ilya V. Portnov 2014-03-12 18:21:09 UTC
I need such an option too.
Comment 3 Sven Langkamp 2014-03-30 10:36:29 UTC
Git commit 875eba801a5d61053298e19d4094f6e0c50b8e56 by Sven Langkamp.
Committed on 30/03/2014 at 10:34.
Pushed by langkamp into branch 'master'.

add option to scale palette color thumbnails

Patch by Ghevan
CCMAIL:ghevan@gmail.com

M  +32   -2    krita/plugins/extensions/dockers/palettedocker/palettedocker_dock.cpp
M  +3    -0    krita/plugins/extensions/dockers/palettedocker/palettedocker_dock.h
M  +10   -0    krita/ui/kis_config.cc
M  +3    -0    krita/ui/kis_config.h

http://commits.kde.org/calligra/875eba801a5d61053298e19d4094f6e0c50b8e56
Comment 4 Halla Rempt 2014-05-30 15:52:56 UTC
Git commit aade5dd4509de2174252c6f6139665ec00c1edbb by Boudewijn Rempt, on behalf of Sven Langkamp.
Committed on 30/03/2014 at 10:34.
Pushed by dickson into tag 'steam-247500_247566'.

add option to scale palette color thumbnails

Patch by Ghevan
CCMAIL:ghevan@gmail.com

Conflicts:
	krita/plugins/extensions/dockers/palettedocker/palettedocker_dock.cpp

M  +32   -3    krita/plugins/extensions/dockers/palettedocker/palettedocker_dock.cpp
M  +3    -0    krita/plugins/extensions/dockers/palettedocker/palettedocker_dock.h
M  +10   -0    krita/ui/kis_config.cc
M  +3    -0    krita/ui/kis_config.h

http://commits.kde.org/calligra/aade5dd4509de2174252c6f6139665ec00c1edbb